> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agent Test Cases

> 
Retrieve all test cases (row-level values) in an agent dataset. Use to review dataset contents or export for analysis.

`page_size` defaults to 30, maximum 100.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json get /api/v2/projects/{project_id}/agent-datasets/{dataset_id}/test-cases
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects/{project_id}/agent-datasets/{dataset_id}/test-cases:
    get:
      tags:
        - Agent Datasets
      summary: List Agent Test Cases
      description: >-

        Retrieve all test cases (row-level values) in an agent dataset. Use to
        review dataset contents or export for analysis.


        `page_size` defaults to 30, maximum 100.
      operationId: get_get_agent_dataset_test_cases
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
        - name: page
          in: query
          schema:
            default: 1
            title: Page
            type: integer
        - name: page_size
          in: query
          schema:
            default: 30
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/AgentTestCaseResponse'
                    title: Data
                    type: array
                  pagination:
                    $ref: '#/components/schemas/PaginationInfo'
                required:
                  - data
                  - pagination
                title: AgentTestCasesListResponse
                type: object
          description: >-
            AgentTestCasesListResponse(data:
            list[server.api_routes.agent_datasets_api_v2.AgentTestCaseResponse],
            pagination: server.api_routes.api_v2_common.PaginationInfo)
components:
  schemas:
    AgentTestCaseResponse:
      properties:
        id:
          format: uuid
          title: Id
          type: string
        input:
          $ref: '#/components/schemas/JSONValue'
          default: null
        output:
          $ref: '#/components/schemas/JSONValue'
          default: null
        metadata:
          default: null
          title: Metadata
          additionalProperties:
            anyOf:
              - type: string
              - type: integer
              - type: number
              - type: boolean
          type:
            - object
            - 'null'
      required:
        - id
      title: AgentTestCaseResponse
      type: object
    PaginationInfo:
      properties:
        page:
          title: Page
          type: integer
        page_size:
          title: Page Size
          type: integer
        has_next:
          title: Has Next
          type: boolean
      required:
        - page
        - page_size
        - has_next
      title: PaginationInfo
      type: object
    JSONValue:
      anyOf:
        - type: boolean
        - type: integer
        - type: number
        - type: string
        - additionalProperties:
            $ref: '#/components/schemas/JSONValue'
          type: object
        - items:
            $ref: '#/components/schemas/JSONValue'
          type: array
        - type: 'null'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````